<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="utf-8">
    <title>JSDoc: Module: socketCom</title>

    <script src="scripts/prettify/prettify.js"> </script>
    <script src="scripts/prettify/lang-css.js"> </script>
    <!--[if lt IE 9]>
      <script src="//html5shiv.googlecode.com/svn/trunk/html5.js"></script>
    <![endif]-->
    <link type="text/css" rel="stylesheet" href="styles/prettify-tomorrow.css">
    <link type="text/css" rel="stylesheet" href="styles/jsdoc-default.css">
</head>

<body>

<div id="main">

    <h1 class="page-title">Module: socketCom</h1>

    




<section>

<header>
    
        
            
        
            
        
    
</header>

<article>
    <div class="container-overview">
    
        
            <div class="description"><h3>Communication via socket.io</h3>
<p> Major parts of this module are described in the namespace documentation of the only function of the module </p>
<p>@see <a href="socket.socketfunction.html"><code>socket.socketfunction</code></a></p>
<p>Details are described in the tutorial</p> 
<p>See <a href="tutorial-staticEngineModel.html">Static combustion engine model</a></p>
<h3>Parent module</h3>
<p> Index.js See <code>module:index</code></p>
<h3>Child modules</h3>
<p>See <a href="module-getPostgresData.html"><code>module:getPostgresData</code></a></p>
<p>See <a href="module-setPostgresData.html"><code>module:setPostgresData</code></a></p>
<p>See <a href="module-updatePostgresData.html"><code>module:updatePostgresData</code></a></p>
<p>See <a href="module-deletePostgresData.html"><code>module:deletePostgresData</code></a></p>
<p>See <code>module:getWavFilesFromLinux</code></p></div>
        

        
            















<dl class="details">

    

    

    

    

    

    

    

    

    

    

    

    

    
    <dt class="tag-source">Source:</dt>
    <dd class="tag-source"><ul class="dummy"><li>
        <a href="nodeScripts_socketCom.js.html">nodeScripts/socketCom.js</a>, <a href="nodeScripts_socketCom.js.html#line2">line 2</a>
    </li></ul></dd>
    

    

    

    
</dl>




















        
            

    

    
    <h4 class="name" id="module:socketCom"><span class="type-signature"></span>(require("socketCom"))<span class="signature">()</span><span class="type-signature"></span></h4>
    

    



<div class="description">
    <p>exported function : needed to select and visualize audio data</p>
<p> - the internals of this function are described in the linked namespace
<p><a href="socket.socketfunction.html"><code>socket.socketfunction</code></a>
</div>













<dl class="details">

    

    

    

    

    

    

    

    

    

    

    

    

    
    <dt class="tag-source">Source:</dt>
    <dd class="tag-source"><ul class="dummy"><li>
        <a href="nodeScripts_socketCom.js.html">nodeScripts/socketCom.js</a>, <a href="nodeScripts_socketCom.js.html#line25">line 25</a>
    </li></ul></dd>
    

    

    

    
</dl>




















        
    
    </div>

    

    

    

    

    

    

    

    

    

    
</article>

</section>




</div>

<nav>
    <h2><a href="index.html">Connected Controls Web App Docu</a></h2><h3>Modules</h3><ul><li><a href="module-a_index_server.html">a_index_server</a></li><li><a href="module-b_create_caldata_buttons.html">b_create_caldata_buttons</a></li><li><a href="module-c_handleModelData.html">c_handleModelData</a></li><li><a href="module-d_getModelStimulationData.html">d_getModelStimulationData</a></li><li><a href="module-deletePostgresData.html">deletePostgresData</a></li><li><a href="module-getPostgresData.html">getPostgresData</a></li><li><a href="module-getPostgresWOsocket.html">getPostgresWOsocket</a></li><li><a href="module-loadRoadLoads.html">loadRoadLoads</a></li><li><a href="module-select-stimulation.html">select-stimulation</a></li><li><a href="module-setPostgresData.html">setPostgresData</a></li><li><a href="module-socketCom.html">socketCom</a></li><li><a href="module-updatePostgresData.html">updatePostgresData</a></li></ul><h3>Namespaces</h3><ul><li><a href="audio.startFileExample.html">startFileExample</a></li><li><a href="data.dataviz.html">dataviz</a></li><li><a href="data.dataviz.socketevent.html">socketevent</a></li><li><a href="data.handler.html">handler</a></li><li><a href="data.insertRow.html">insertRow</a></li><li><a href="socket.socketfunction.html">socketfunction</a></li></ul><h3>Classes</h3><ul><li><a href="d3.html">d3</a></li><li><a href="express.html">express</a></li><li><a href="pool.html">pool</a></li><li><a href="response.html">response</a></li><li><a href="router.html">router</a></li><li><a href="selection.html">selection</a></li><li><a href="server.html">server</a></li><li><a href="socket.html">socket</a></li></ul><h3>Events</h3><ul><li><a href="data.dataviz.html#.event:thermdata">thermdata</a></li><li><a href="module-d_getModelStimulationData.html#~event:sendAudioFlPths">sendAudioFlPths</a></li><li><a href="socket.socketfunction.html#.event:connection">connection</a></li><li><a href="socket.socketfunction.html#.event:curvedata">curvedata</a></li><li><a href="socket.socketfunction.html#.event:disconnect">disconnect</a></li><li><a href="socket.socketfunction.html#.event:getAudioFlPths">getAudioFlPths</a></li><li><a href="socket.socketfunction.html#.event:getCurve">getCurve</a></li><li><a href="socket.socketfunction.html#.event:getTable">getTable</a></li><li><a href="socket.socketfunction.html#.event:initNewData">initNewData</a></li><li><a href="socket.socketfunction.html#.event:tabledata">tabledata</a></li><li><a href="socket.socketfunction.html#.event:time">time</a></li></ul><h3>Tutorials</h3><ul><li><a href="tutorial-codeAnalysisAndRefactoring.html">Static source code analysis and refactoring interface</a></li><li><a href="tutorial-graphicalEditor.html">Graphical editor for maps and curves</a></li><li><a href="tutorial-modelStimulation.html">Stimulation of physical and engine control models</a></li><li><a href="tutorial-signalselectNvisualize.html">Signal selection and display</a></li><li><a href="tutorial-staticEngineModel.html">Static combustion engine model</a></li></ul><h3>Global</h3><ul><li><a href="global.html#buildNav">buildNav</a></li><li><a href="global.html#publish">publish</a></li></ul>
</nav>

<br class="clear">

<footer>
    Documentation generated by <a href="https://github.com/jsdoc/jsdoc">JSDoc 3.6.7</a> on Tue Jul 27 2021 10:53:37 GMT+0200 (Mitteleuropäische Sommerzeit)
</footer>

<script> prettyPrint(); </script>
<script src="scripts/linenumber.js"> </script>
</body>
</html>